package dev.micle.totemofreviving.setup;

import dev.micle.totemofreviving.TotemOfReviving;
import dev.micle.totemofreviving.event.common.OnCreativeModeTabRegisterEventHandler;
import net.minecraft.world.item.Item;
import net.minecraftforge.eventbus.api.IEventBus;
import net.minecraftforge.fml.javafmlmod.FMLJavaModLoadingContext;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.registries.ForgeRegistries;

public class Registration {
    // Initialize variables
    public static final DeferredRegister<Item> ITEMS =
            DeferredRegister.create(ForgeRegistries.ITEMS, TotemOfReviving.MOD_ID);

    public static void register() {
        IEventBus modEventBus = FMLJavaModLoadingContext.get().getModEventBus();

        ITEMS.register(modEventBus);
        ModItems.register();

        modEventBus.register(OnCreativeModeTabRegisterEventHandler.class);
    }
}
